<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="12.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\Source\jconfig.h" />
    <ClInclude Include="..\..\Source\jdct.h" />
    <ClInclude Include="..\..\Source\jerror.h" />
    <ClInclude Include="..\..\Source\jinclude.h" />
    <ClInclude Include="..\..\Source\jmemsys.h" />
    <ClInclude Include="..\..\Source\jmorecfg.h" />
    <ClInclude Include="..\..\Source\jpegint.h" />
    <ClInclude Include="..\..\Source\jpeglib.h" />
    <ClInclude Include="..\..\Source\jversion.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="..\..\Source\jaricom.c" />
    <ClCompile Include="..\..\Source\jcapimin.c" />
    <ClCompile Include="..\..\Source\jcapistd.c" />
    <ClCompile Include="..\..\Source\jcarith.c" />
    <ClCompile Include="..\..\Source\jccoefct.c" />
    <ClCompile Include="..\..\Source\jccolor.c" />
    <ClCompile Include="..\..\Source\jcdctmgr.c" />
    <ClCompile Include="..\..\Source\jchuff.c" />
    <ClCompile Include="..\..\Source\jcinit.c" />
    <ClCompile Include="..\..\Source\jcmainct.c" />
    <ClCompile Include="..\..\Source\jcmarker.c" />
    <ClCompile Include="..\..\Source\jcmaster.c" />
    <ClCompile Include="..\..\Source\jcomapi.c" />
    <ClCompile Include="..\..\Source\jcparam.c" />
    <ClCompile Include="..\..\Source\jcprepct.c" />
    <ClCompile Include="..\..\Source\jcsample.c" />
    <ClCompile Include="..\..\Source\jctrans.c" />
    <ClCompile Include="..\..\Source\jdapimin.c" />
    <ClCompile Include="..\..\Source\jdapistd.c" />
    <ClCompile Include="..\..\Source\jdarith.c" />
    <ClCompile Include="..\..\Source\jdatadst.c" />
    <ClCompile Include="..\..\Source\jdatasrc.c" />
    <ClCompile Include="..\..\Source\jdcoefct.c" />
    <ClCompile Include="..\..\Source\jdcolor.c" />
    <ClCompile Include="..\..\Source\jddctmgr.c" />
    <ClCompile Include="..\..\Source\jdhuff.c" />
    <ClCompile Include="..\..\Source\jdinput.c" />
    <ClCompile Include="..\..\Source\jdmainct.c" />
    <ClCompile Include="..\..\Source\jdmarker.c" />
    <ClCompile Include="..\..\Source\jdmaster.c" />
    <ClCompile Include="..\..\Source\jdmerge.c" />
    <ClCompile Include="..\..\Source\jdpostct.c" />
    <ClCompile Include="..\..\Source\jdsample.c" />
    <ClCompile Include="..\..\Source\jdtrans.c" />
    <ClCompile Include="..\..\Source\jerror.c" />
    <ClCompile Include="..\..\Source\jfdctflt.c" />
    <ClCompile Include="..\..\Source\jfdctfst.c" />
    <ClCompile Include="..\..\Source\jfdctint.c" />
    <ClCompile Include="..\..\Source\jidctflt.c" />
    <ClCompile Include="..\..\Source\jidctfst.c" />
    <ClCompile Include="..\..\Source\jidctint.c" />
    <ClCompile Include="..\..\Source\jmemmgr.c" />
    <ClCompile Include="..\..\Source\jmemnobs.c" />
    <ClCompile Include="..\..\Source\jquant1.c" />
    <ClCompile Include="..\..\Source\jquant2.c">
      <Optimization Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Disabled</Optimization>
      <BufferSecurityCheck Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</BufferSecurityCheck>
    </ClCompile>
    <ClCompile Include="..\..\Source\jutils.c" />
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectName>libjpeg</ProjectName>
    <ProjectGuid>{924BABC8-CCDD-4A2B-8B18-7CC7CA8A724B}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>libjpeg_2013</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v120</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v120</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v120</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v120</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>$(SolutionDir)Bin\$(PlatformTarget)\$(Configuration)\</OutDir>
    <IntDir>$(SolutionDir)Objects\$(PlatformTarget)\$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <OutDir>$(SolutionDir)Bin\$(PlatformTarget)\$(Configuration)\</OutDir>
    <IntDir>$(SolutionDir)Objects\$(PlatformTarget)\$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>$(SolutionDir)Bin\$(PlatformTarget)\$(Configuration)\</OutDir>
    <IntDir>$(SolutionDir)Objects\$(PlatformTarget)\$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <OutDir>$(SolutionDir)Bin\$(PlatformTarget)\$(Configuration)\</OutDir>
    <IntDir>$(SolutionDir)Objects\$(PlatformTarget)\$(Configuration)\</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;_LIB;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ForcedIncludeFiles>jconfig.h</ForcedIncludeFiles>
      <AdditionalIncludeDirectories>$(SolutionDir)..\..\Source</AdditionalIncludeDirectories>
      <ProgramDataBaseFileName>$(OutDir)$(ProjectName).pdb</ProgramDataBaseFileName>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <Lib>
      <TargetMachine>MachineX86</TargetMachine>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;_LIB;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ForcedIncludeFiles>jconfig.h</ForcedIncludeFiles>
      <AdditionalIncludeDirectories>$(SolutionDir)..\..\Source</AdditionalIncludeDirectories>
      <ProgramDataBaseFileName>$(OutDir)$(ProjectName).pdb</ProgramDataBaseFileName>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <Lib>
      <TargetMachine>MachineX64</TargetMachine>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;NDEBUG;_LIB;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ForcedIncludeFiles>jconfig.h</ForcedIncludeFiles>
      <AdditionalIncludeDirectories>$(SolutionDir)..\..\Source</AdditionalIncludeDirectories>
      <ProgramDataBaseFileName>$(OutDir)$(ProjectName).pdb</ProgramDataBaseFileName>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
    <Lib>
      <TargetMachine>MachineX86</TargetMachine>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;NDEBUG;_LIB;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ForcedIncludeFiles>jconfig.h</ForcedIncludeFiles>
      <AdditionalIncludeDirectories>$(SolutionDir)..\..\Source</AdditionalIncludeDirectories>
      <ProgramDataBaseFileName>$(OutDir)$(ProjectName).pdb</ProgramDataBaseFileName>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
    <Lib>
      <TargetMachine>MachineX64</TargetMachine>
    </Lib>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>